Package com.verisign.epp.interfaces

## Class EPPHostTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPHostTst

-     public class EPPHostTst
      extends java.lang.Object

  Is a unit test of the EPPSession class. The unit test will initialize a session with an EPP Server and end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPHostTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5
  The test `EPPResponse` is duplicated for `EPPMessage` that do not contain a specialized `EPPResponse` to provide an example of a full `EPPMessage` transaction. All of the com.verisign.epp.codec.gen package `EPPMessage` classes are associated with `EPPResponse`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPHostTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPHostTst`.
    `void` | `handleException​(EPPCommandException aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `void` | `hostCreate()` | Unit test of `EPPHost.sendCreate`.
    `void` | `hostDelete()` | Unit test of `EPPHost.sendDelete`.
    `void` | `hostInfo()` | Unit test of `EPPHost.sendInfo`.
    `void` | `hostUpdate()` | Unit test of `EPPHost.sendUpdate`.
    `java.lang.String` | `makeDomainName()` | This method generates a unique domain name.
    `java.lang.String` | `makeHostName​(java.lang.String newDomainName)` | This method generates a unique Host Name for a given Domain Name
    `java.lang.String` | `makeIP()` | This method generates a unique IPV4 address.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testHost()` | JUNIT test method to implement the `EPPHostTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPHostTst

          public EPPHostTst()

  - ### Method Detail

    - #### testHost

          public void testHost()

      JUNIT test method to implement the `EPPHostTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPHost interface.

    - #### hostInfo

          public void hostInfo()

      Unit test of `EPPHost.sendInfo`.

    - #### hostCreate

          public void hostCreate()

      Unit test of `EPPHost.sendCreate`.

    - #### hostDelete

          public void hostDelete()

      Unit test of `EPPHost.sendDelete`.

    - #### hostUpdate

          public void hostUpdate()

      Unit test of `EPPHost.sendUpdate`.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPHostTst`.

    - #### handleException

          public void handleException​(EPPCommandException aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : <Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error : <Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method generates a unique domain name.
      Returns:
        Unique domain name

    - #### makeIP

          public java.lang.String makeIP()

      This method generates a unique IPV4 address.
      Returns:
        Unique IPV4 address

    - #### makeHostName

          public java.lang.String makeHostName​(java.lang.String newDomainName)

      This method generates a unique Host Name for a given Domain Name
      Parameters:
        `newDomainName` - Domain name to based host name on
      Returns:
        Unique host name